<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      function divide(dividendo, divisor) {
         return new Promise((resolve, reject) => {
            if (divisor === 0) {
               reject(new Error('No se puede divodor entre 0'));
            } else {
               resolve(dividendo / divisor);
            }
         });
      }
      try {
         const result = divide(5, 1);
         console.log(result);
      } catch (err) {
         console.error(err.message);
      }
   </script>
</body>

</html>